View Issue Details

IDProjectCategoryView StatusLast Update
0002284FreeCADBugpublic2015-10-22 22:01
ReportersliptonicAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002284: Tangency (co-linear) constraint behavior is inconsistent and confusing.
DescriptionCreating a co-linear constraint between two unconnected segments acts differently depending on whether the segments already have a horizontal/vertical constraint on them.

A knowledgeable user can always get the constraints to behave as desired but the steps vary and the overall user experience is inconsistent and confusing.
Steps To ReproduceCreate two unconnected segments both with a horizontal constraint on them. select them, and apply a tangent (co-linear) constraint.
Outcome: the constraint seems to be applied but it is not solved. No error is presented.

Repeat the above steps with two segments that do not have horizontal constraints.
Outcome: Now it works as expected.
Apply the horizontal constraints to the segments with the co-linear constraint in place and all are solved. (it continues to work as desired).

Create two segments with horiz constraints.
Select one segment and one vertex from the other segment.
Apply the co-linear constraint.
Outcome: The constraint is applied and solved as expected.

Additional InformationOS: Linux Mint 17.2 Rafaela
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.16.5645 (Git)
Build type: Debug
Branch: master
Hash: cc446b1c5a00e6d63cc08bcccdd3906c1687382d
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
Tagsconstraints, Solver

Activities

abdullah

2015-10-06 11:41

manager   ~0006476

Discussed here:
http://forum.freecadweb.org/viewtopic.php?f=19&t=12571

Partly fixed:
http://forum.freecadweb.org/viewtopic.php?f=17&t=12716

abdullah

2015-10-06 11:43

manager   ~0006477

Just confirmation of the issue and that now the solver problem is reported. This ticket remains open with the new tag "solver" added, as a sample of sketch that generates solver problems.

Issue History

Date Modified Username Field Change
2015-09-30 14:17 sliptonic New Issue
2015-09-30 14:19 sliptonic Tag Attached: constraints
2015-09-30 14:25 jmaustpc Assigned To => abdullah
2015-09-30 14:25 jmaustpc Status new => assigned
2015-10-06 11:41 abdullah Note Added: 0006476
2015-10-06 11:42 abdullah Tag Attached: Solver
2015-10-06 11:43 abdullah Note Added: 0006477
2015-10-06 11:43 abdullah Status assigned => confirmed
2015-10-22 21:59 wmayer Changeset attached => FreeCAD Master master fc128d35
2015-10-22 22:01 wmayer Status confirmed => closed
2015-10-22 22:01 wmayer Resolution open => fixed
2015-10-22 22:01 wmayer Fixed in Version => 0.16